Schöck
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Макрос для "Разорвать"

Макрос для "Разорвать"

Ответ
Поиск в этой теме
Непрочитано 18.03.2021, 06:48 #1
Макрос для "Разорвать"
zuvobopu
 
Регистрация: 18.03.2021
Сообщений: 1

Добрый день

В силу особенностей работы необходимо очень часто использовать команду "разорвать" с одинаковым размером этого разрыва. Есть возможность автоматизировать процесс с помощью макроса ?
Сам пока даже не понял, а возможно ли это вообще. Желательный результат - щелкнули мышкой по кривой или прямой линии чертежа -линия разорвалась.
Просмотров: 1177
 
Непрочитано 18.03.2021, 12:53
#2
Boxa

КЖ; C#
 
Регистрация: 03.11.2005
Санкт-Петербург
Сообщений: 2,411


Цитата:
Сообщение от zuvobopu Посмотреть сообщение
Есть возможность автоматизировать процесс с помощью макроса ?
Есть, автоматизируйте.
Цитата:
Сообщение от zuvobopu Посмотреть сообщение
Сам пока даже не понял, а возможно ли это вообще.
Возможно.

Осталось мелочь, взять и сделать.
__________________
_бложиг
Boxa вне форума  
 
Непрочитано 19.03.2021, 10:45
#3
Vladimir_Sergeevich

рисую дороги, в перерывах курю Lisp
 
Регистрация: 20.04.2011
Пермь
Сообщений: 459
<phrase 1= Отправить сообщение для Vladimir_Sergeevich с помощью Skype™


где то в pl-tools поднималась задача близкая по смыслу.
Только чутка переработать - там подхватывались ближайшие узлы к указанной точке.
vlax-curve-getDistAtPoint vlax-curve-getPointAtDist в помощь...
__________________
Не труд сделал из обезьяны человека, а лень и жажда халявы...
Vladimir_Sergeevich на форуме  
 
Непрочитано 23.03.2021, 09:14
#4
koMon


 
Блог
 
Регистрация: 26.09.2017
Сообщений: 1,007


Цитата:
Сообщение от zuvobopu Посмотреть сообщение
Сам пока даже не понял, а возможно ли это вообще.
в автокаде (не лт) можно запрограммировать почти всё, что делается ручками в комстроке (меню...). вот, например, пример нубского лиспа для решения этой конкретной задачи.
Код:
[Выделить все]
 
(defun c:break_fixed_dist (/ break_point half_break_distance_saved )
	(setq break_point (getpoint "Укажите точку разрыва на кривой: ")
		  half_break_distance (if (null half_break_distance) 10 half_break_distance)	; по умолчанию половина разрыва равна 10 
		  half_break_distance_saved half_break_distance
	)
	(if (null (setq half_break_distance (getdist break_point (strcat "Укажите половину разрыва <" (rtos half_break_distance) ">: "))))
			(setq half_break_distance half_break_distance_saved)
	)
	(command "._circle" break_point half_break_distance)
	(command "._trim" (setq _circle (entlast)) "" break_point "")
	(command "._erase" _circle "")
)
koMon вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Макрос для "Разорвать"

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Макрос VBA Excel для извлечения таблиц из линий, полилиний, текста из DWG файлов в Excel с помощью NanoCAD/AutoCAD JZY Готовые программы 8 14.07.2016 06:31
Автокад 2014 макрос для функции rEconcile. Valery Brelovsky Программирование 2 18.03.2014 10:44
Помогите, нужен макрос масштабирования размеров Малявка Программирование 17 31.07.2012 19:08